Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.registry.infomodel
Interface AuditableEvent

All Superinterfaces:
  ExtensibleObject, RegistryObject

public interface AuditableEvent
extends RegistryObject

AuditableEvent instances provide a long term record of events that effect a change of state in a RegistryObject. Such events are usually a result of a client initiated request. AuditableEvent instances are generated by the registry service to log such events.

Often such events effect a change in the life cycle of a RegistryObject. For example a client request could Create, Update, Deprecate or Delete a RegistryObject. No AuditableEvent is created for requests that do not alter the state of a RegistryObject. Specifically, read-only requests do not generate an AuditableEvent. No AuditableEvent is generated for a RegistryObject when it is classified, assigned to a Package or associated with another Object.

A RegistryObject is associated with an ordered Collection of AuditableEvent instances that provide a complete audit trail for that Object.

Author:
  Farrukh S. Najmi
See Also:
  `RegistryObject`

Field Summary
`static int` | `EVENT_TYPE_CREATED` An event where a RegistryObject is created.
`static int` | `EVENT_TYPE_DELETED` An event where a RegistryObject is deleted.
`static int` | `EVENT_TYPE_DEPRECATED` An event where a RegistryObject is deprecated.
`static int` | `EVENT_TYPE_UNDEPRECATED` An event where a RegistryObject is undeprecated.
`static int` | `EVENT_TYPE_UPDATED` An event where a RegistryObject is updated.
`static int` | `EVENT_TYPE_VERSIONED` An event where a RegistryObject is versioned.

Method Summary
`int` | `getEventType()` Gets the type of this event.
`RegistryObject` | `getRegistryObject()` Gets the RegistryObject associated with this AuditableEvent.
`java.sql.Timestamp` | `getTimestamp()` Gets the Timestamp for when this event occurred.
`User` | `getUser()` Gets the User associated with this object.

Methods inherited from interface javax.xml.registry.infomodel.RegistryObject
`addAssociation, addAssociations, addClassification, addClassifications, addExternalIdentifier, addExternalIdentifiers, addExternalLink, addExternalLinks, getAssociatedObjects, getAssociations, getAuditTrail, getClassifications, getDescription, getExternalIdentifiers, getExternalLinks, getKey, getLifeCycleManager, getName, getObjectType, getRegistryPackages, getSubmittingOrganization, removeAssociation, removeAssociations, removeClassification, removeClassifications, removeExternalIdentifier, removeExternalIdentifiers, removeExternalLink, removeExternalLinks, setAssociations, setClassifications, setDescription, setExternalIdentifiers, setExternalLinks, setKey, setName, toXML`

Methods inherited from interface javax.xml.registry.infomodel.ExtensibleObject
`addSlot, addSlots, getSlot, getSlots, removeSlot, removeSlots`

Field Detail

### EVENT_TYPE_CREATED

    public static final int EVENT_TYPE_CREATED

  An event where a RegistryObject is created.

  See Also:
    Constant Field Values

### EVENT_TYPE_DELETED

    public static final int EVENT_TYPE_DELETED

  An event where a RegistryObject is deleted.

  See Also:
    Constant Field Values

### EVENT_TYPE_DEPRECATED

    public static final int EVENT_TYPE_DEPRECATED

  An event where a RegistryObject is deprecated.

  See Also:
    Constant Field Values

### EVENT_TYPE_UPDATED

    public static final int EVENT_TYPE_UPDATED

  An event where a RegistryObject is updated.

  See Also:
    Constant Field Values

### EVENT_TYPE_VERSIONED

    public static final int EVENT_TYPE_VERSIONED

  An event where a RegistryObject is versioned.

  See Also:
    Constant Field Values

### EVENT_TYPE_UNDEPRECATED

    public static final int EVENT_TYPE_UNDEPRECATED

  An event where a RegistryObject is undeprecated.

  See Also:
    Constant Field Values

Method Detail

### getUser

    public User getUser()
                 throws JAXRException

  Gets the User associated with this object.

  Capability Level: 1

  Returns:
    the User that sent the request that generated this this AuditableEvent. Must not be null
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### getTimestamp

    public java.sql.Timestamp getTimestamp()
                                    throws JAXRException

  Gets the Timestamp for when this event occurred.

  Capability Level: 1

  Returns:
    the timestamp that records the time the event occured
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### getEventType

    public int getEventType()
                     throws JAXRException

  Gets the type of this event.

  Capability Level: 1

  Returns:
    the type of this event
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error
  See Also:
    `EVENT_TYPE_CREATED`

### getRegistryObject

    public RegistryObject getRegistryObject()
                                     throws JAXRException

  Gets the RegistryObject associated with this AuditableEvent.

  Capability Level: 1

  Returns:
    the RegistryObject that was the focus of this event
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.